### Signal

# Gtk Application::window-added

#### Declaration

    void
    window_added (
      GtkApplication self,
      GtkWindow* window,
      gpointer user_data
    )

#### Description [src]

Emitted when a `GtkWindow` is added to `application` through gtk_application_add_window().

Default handler: | The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`window` | `GtkWindow`
| The newly-added `GtkWindow`.
| The data is owned by the caller of the function.